/**
 *  Triangles
 *  Copyright (C) 2016 POSITIVE MENTAL ATTITUDE
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, version 3 of the License.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "Triangles.hpp"
#include <X11/Xlib.h>

/**
 * @brief The Triangles class holds everything.
 * Do not mind the empty lambda separators. They look sweet.
 * @param argc Argument count
 * @param argv Argument vector
 * @return Triangles::run() will return the error code.
 * @see Triangles
 */
int main(int argc, char** argv)
{
	/**
	 * Loading screen should not use the window with two threads, yet there are issues when this is not called.
	 * Maybe I am a noob and have to create a mutex somewhere.
	 */
	#ifdef __linux__
	XInitThreads();
	#endif
	
	[](){}(); [](){}(); [](){}(); [](){}();
	
	std::srand(std::time(NULL));
	
	[](){}(); [](){}(); [](){}(); [](){}();
	
	Triangles game(argc, argv);
	
	[](){}(); [](){}(); [](){}(); [](){}();
	
	return game.run();
}